'*******************************************************************************
'*****************    PWM 24-channel & RGB by VITALKALM    *********************
'*************************    vitalkalm@mail.ru    *****************************
'                ****  *   *    ***   ****
'                *     *   *   *      *
'                ***   *   *    ***   ***
'                *     *   *       *  *
'                *      * *     ***   ****
'
'   16 (    20 -  )
'Fusebit C            1:BODLEVEL 2.7V
'Fusebit B            1:BODEN disabled
'Fusebit High M       1:Disable OCD
'Fusebit High J       1:Disable JTAG
'Fusebit High l       0:SPI enabled
'Fusebit High H       1:CKOPT 1
'Fusebit High G       1:Erase EEPROM when chip erase
'Fusebit High FE      11:128 Words boot size , F80
'Fusebit High D       1:Reset vector is $0000
'*******************************************************************************

$regfile = "m16def.dat"                                     '  Atmega16
$crystal = 8000000

Config Porta = Output                                       '  ,      (LED 1-24)
Config Portb = Output
Config Portc = Output
Config Pind.0 = Input                                       '  D0   ( S1)
Config Pind.1 = Input                                       '  D1   ( S2)
Config Pind.2 = Input                                       '  D3   (  )
Config Pind.3 = Input                                       '  D3   ( S3)
Config Pind.6 = Input                                       '  b3   ( S4)
Config Pind.4 = Output                                      ' D.4, D.5, D.6   -
Config Pind.5 = Output                                      '  RGB
Config Pind.7 = Output
Set Portd.0                                                 '   
Set Portd.1
Set Portd.2
Set Portd.3
Set Portd.6



Dim Random As Byte                                          ' 
Dim S As Byte                                               '      
Dim S1 As Byte                                              '     
Dim Tik As Byte                                             '  
Dim Shag As Word                                            '  
Dim Effect As Byte                                          ' 
Dim Eff As Byte                                             ' 
Dim Color As Byte                                           '  
Dim Rgb As Word                                             '      
Dim Channel As Byte                                         ' 
Dim Lamda As Word                                           ' 
Dim Tetta As Byte                                           ' 
Dim I As Word                                               ' 
Dim X(24) As Byte                                           '    
Dim Y(24) As Byte                                           '     
Dim Temp As Byte                                            '    
Dim Newtemp As Word                                         '   
Dim Avto_flag As Byte                                       '    
Red Alias Pwm2                                              '    
Dim Green As Byte                                           '    
Dim Blue As Byte                                            '    
Dim R As Byte                                               '      Pwm_rgb:  
Dim G As Byte                                               '      Pwm_rgb:  
Dim B As Byte                                               '      Pwm_rgb:  
Dim R_e As Byte                                             '     EEPROM   
Dim G_e As Byte                                             '     EEPROM   
Dim B_e As Byte                                             '     EEPROM   
Dim R_ee As Byte
Dim G_ee As Byte
Dim B_ee As Byte
Dim Color_e As Eram Byte At 129                             '     
Dim Effect_e As Eram Byte At 130                            '     
Dim Avto_flag_e As Eram Byte At 131                         '     
Dim R1 As Byte                                              '      
Dim G1 As Byte                                              '      
Dim B1 As Byte                                              '      
Dim N As Word                                               ' 
Dim Takt As Byte                                            ' 

Config Timer0 = Timer , Prescale = 8                        ' 
Config Timer1 = Pwm , Pwm = 8 , Compare A Pwm = Clear Down , Compare B Pwm = Clear Down , Prescale = 8
Config Timer2 = Pwm , Compare Pwm = Clear Up , Prescale = 8
Enable Timer0                                               '  
Enable Timer1
Enable Timer2
On Timer0 Pwms                                              ' 24     0
Start Timer0                                                ' 
Start Timer1
Start Timer2


Config Int1 = Falling , Prescale = 1024
On Int1 Button                                              '  Int1    
Enable Interrupts                                           ' 
Enable Int1
                                                         '
Declare Sub Main                                            ',     
Declare Sub Avto                                            '  
Declare Sub Color_manual                                    '   " "
Declare Sub Rgb_color_wave_full_1                           '   , 
Declare Sub Rgb_color_wave_full_2                           '   , 
Declare Sub Rgb_color_wave_manual_1                         '       
Declare Sub Rgb_color_wave_manual_2                         '       
Declare Sub Random_effect1                                  '  " "
Declare Sub Random_effect2                                  '  " "
Declare Sub All_colors_stady                                '  " "

'*******************************************************************************
 R1 = 0                                                     '   
 G1 = 0
 B1 = 0
 Color = Color_e                                            '   EEPROM  
 Effect = Effect_e                                          '      
 Avto_flag = Avto_flag_e                                    '      
'###############################################################################
'*******************************   *********************************
'###############################################################################

Do
If Avto_flag = 1 Then Gosub Avto
If Color = 0 Then Gosub Color_manual

If Effect = 1 Then Gosub Random_effect1
If Effect = 2 Then Gosub Random_effect2
If Effect = 3 Then Gosub All_colors_stady
If Effect > 3 Then Gosub Main



Loop                                                        '  
'###############################################################################
'********** ,     *************
'###############################################################################
Sub Main:
     Eff = Effect - 3                                       '    
     N = Eff * 24
     N = N - 24
     Readeeprom S , Effect                                  '    EEPROM
      Temp = Lookup(s , Speders)                            '    
 For Takt = 0 To 23                                         '    
 Shag = N + Takt
 If Color = 1 Then Gosub Rgb_color_wave_manual_1
 If Color = 3 Then Gosub Rgb_color_wave_full_1
      For Channel = 1 To 24
      Lamda = Shag * 24
      Lamda = Lamda + Channel
      Decr Lamda
      X(channel) = Lookup(lamda , Pwm_led)                  '      
      Lamda = X(channel)
      If Color = 2 Then Gosub Rgb_color_wave_manual_2
      If Color = 4 Then Gosub Rgb_color_wave_full_2
      Decr Lamda
      Y(channel) = Lookup(lamda , Pwm_data)                 '      
            Next
      Newtemp = Temp * 3                                    '  
  Waitms Newtemp
Next

End Sub
'###############################################################################
'***************************   " "  ***********************
'###############################################################################
Sub Random_effect1:
If Color = 1 Then Gosub Rgb_color_wave_manual_1
If Color = 3 Then Gosub Rgb_color_wave_full_1
    For Channel = 1 To 24
If Color = 2 Then Gosub Rgb_color_wave_manual_2
If Color = 4 Then Gosub Rgb_color_wave_full_2
    Lamda = Rnd(2)
    Y(channel) = Lookup(lamda , Pwm_rnd)
    Next
   Readeeprom S , Effect
   Temp = Lookup(s , Speders)
   Newtemp = Temp * 2
   Waitms Newtemp
End Sub
'###############################################################################
'***************************   " "  ***********************
'###############################################################################
Sub Random_effect2:
If Color = 1 Then Gosub Rgb_color_wave_manual_1
If Color = 3 Then Gosub Rgb_color_wave_full_1
  For Channel = 1 To 24
If Color = 2 Then Gosub Rgb_color_wave_manual_2
If Color = 4 Then Gosub Rgb_color_wave_full_2
    Incr X(channel)
    Lamda = 180 - Channel
    If X(channel) = Lamda Then X(channel) = 0
    Y(channel) = Lookup(x(channel) , Pwm_rnd)
   Next
   Readeeprom S , Effect
   Temp = Lookup(s , Speders)
   Newtemp = Temp * 2
   Waitms Newtemp
End Sub
'###############################################################################
'*****************************   " "  ****************************
'###############################################################################
Sub All_colors_stady:
If Color = 1 Then Gosub Rgb_color_wave_manual_1
If Color = 3 Then Gosub Rgb_color_wave_full_1
    For Channel = 1 To 24
If Color = 2 Then Gosub Rgb_color_wave_manual_2
If Color = 4 Then Gosub Rgb_color_wave_full_2
    Y(channel) = 16
    Next
   Readeeprom S , Effect
   Temp = Lookup(s , Speders)
   Newtemp = Temp * 2
   Waitms Newtemp
End Sub
'###############################################################################
'***************************     ****************************
'###############################################################################
Sub Avto:
Random = Rnd(10)
      If Random > 6 Then
      Incr Effect
      If Effect > 19 Then Effect = 1                        ' 19- - 
      End If
     If Color < 3 Then
      R_e = Effect + 32                                     '    EEPROM
   G_e = Effect + 64                                        '   
   B_e = Effect + 96                                        '     
   Readeeprom R , R_e                                       '   EEPROM   
   Readeeprom G , G_e                                       '   EEPROM   
   Readeeprom B , B_e
   End If
End Sub
'###############################################################################
'************************    " "  *************************
'###############################################################################
Sub Color_manual:
   R_e = Effect + 32                                        '    EEPROM
   G_e = Effect + 64                                        '   
   B_e = Effect + 96                                        '     
   Readeeprom R , R_e                                       '   EEPROM   
   Readeeprom G , G_e                                       '   EEPROM   
   Readeeprom B , B_e                                       '   EEPROM   
   Red = Lookup(r , Pwm_rgb)                                '     
Green = Lookup(g , Pwm_rgb)                                 '      
Pwm1b = Green                                               '      
Blue = Lookup(b , Pwm_rgb)
Pwm1a = Blue
End Sub

'###############################################################################
'**************        **************
'###############################################################################
Sub Rgb_color_wave_manual_1:
   R_e = Effect + 32
   G_e = Effect + 64
   B_e = Effect + 96
   Readeeprom R_ee , R_e
   Readeeprom G_ee , G_e
   Readeeprom B_ee , B_e

 If Rgb > 1 And Rgb < 64 Then
     If G < 63 Then Incr G
     End If
     If Rgb > 64 And Rgb < 120 Then
     If R > R_ee Then Decr R
     End If
     If Rgb > 120 And Rgb < 176 Then
     If B < 63 Then Incr B
     End If
     If Rgb > 176 And Rgb < 232 Then
     If G > G_ee Then Decr G
     End If
     If Rgb > 232 And Rgb < 288 Then
     If R < 63 Then Incr R
     End If
     If Rgb > 288 And Rgb < 344 Then
     If B > B_ee Then Decr B
     End If

Red = Lookup(r , Pwm_rgb)                                   '     
Green = Lookup(g , Pwm_rgb)                                 '      
Pwm1b = Green                                               '      
Blue = Lookup(b , Pwm_rgb)
Pwm1a = Blue
    Incr Rgb
    If Rgb = 345 Then Rgb = 1
End Sub
'###############################################################################
'**************        ****************
'###############################################################################
Sub Rgb_color_wave_manual_2 :
Gosub Rgb_color_wave_manual_1
End Sub
'###############################################################################
'*******************    ,   **********************
'###############################################################################
Sub Rgb_color_wave_full_1:
     If Rgb > 1 And Rgb < 80 Then
     If G < 63 Then Incr G
     End If
     If Rgb > 80 And Rgb < 160 Then
     If R > 1 Then Decr R
     End If
     If Rgb > 160 And Rgb < 240 Then
     If B < 63 Then Incr B
     End If
     If Rgb > 240 And Rgb < 320 Then
     If G > 1 Then Decr G
     End If
     If Rgb > 320 And Rgb < 400 Then
     If R < 63 Then Incr R
     End If
     If Rgb > 400 And Rgb < 480 Then
     If B > 1 Then Decr B
     End If

Red = Lookup(r , Pwm_rgb)                                   '     
Green = Lookup(g , Pwm_rgb)                                 '      
Pwm1b = Green                                               '      
Blue = Lookup(b , Pwm_rgb)
Pwm1a = Blue
    Incr Rgb
    If Rgb = 481 Then Rgb = 1

End Sub
'###############################################################################
'*******************    ,   **********************
'###############################################################################
Sub Rgb_color_wave_full_2 :
Gosub Rgb_color_wave_full_1
End Sub
'###############################################################################
'********************     ***************************
'###############################################################################

Button:

    Waitms 220
'*****************************   **********************************
       S1 = 0
   While Pind.1 = 0                                         '    S2
   Portb = &B0000001                                        '   
   Porta = &B0001000
   Portc = &B0000001
     If S1 = 0 Then Incr S
     If S = 16 Then
     S1 = 1
     Waitms 2300
     End If
     If S1 = 1 Then Decr S
     If S = 1 Then
     S1 = 0
     Waitms 2300
     End If
     Waitms 350
     Temp = Lookup(s , Speders1)                            '    
     Red = Temp                                             '      Speders1:
     Pwm1b = Temp
     Pwm1a = Temp                                           '   
     Writeeeprom S , Effect
  Wend
                                                            '    
     Red = Lookup(r , Pwm_rgb)
     Green = Lookup(g , Pwm_rgb)
     Pwm1b = Green
     Blue = Lookup(b , Pwm_rgb)
     Pwm1a = Blue
     Temp = Lookup(s , Speders)                             '   


  R1 = 0                                                    '        
  G1 = 0
  B1 = 0
'*****************************   *************************************
While Pind.0 = 0                                            '    S1
  Waitms 20
  R_e = Effect + 32                                         '    EEPROM
   G_e = Effect + 64                                        '   
   B_e = Effect + 96                                        '     
   Readeeprom R , R_e                                       '   EEPROM   
   Readeeprom G , G_e                                       '   EEPROM   
   Readeeprom B , B_e
     Red = Lookup(r , Pwm_rgb)
     Green = Lookup(g , Pwm_rgb)
     Pwm1b = Green
     Blue = Lookup(b , Pwm_rgb)
     Pwm1a = Blue
     Temp = Lookup(s , Speders)
'               *#*#*#*#*#*#*#*#*   Red_label:  #*#*#*#*#*#*#*#*#*#*
  If Pind.1 = 0 Then                                        '    S2
     If R1 = 0 Then Incr R                                  '   
     If R = 64 Then                                         '   
     Waitms 2300                                            '  
     R1 = 1                                                 '  
     End If
     If R1 = 1 Then Decr R                                  '   
     If R = 1 Then                                          '   
     Waitms 2300                                            '  
     R1 = 0                                                 '  
     End If
     Waitms 50
     Red = Lookup(r , Pwm_rgb)                              '    
   End If
'               *#*#*#*#*#*#*#*#*   Green_label:  #*#*#*#*#*#*#*#*#*#*
   If Pind.2 = 0 Then                                       '    S3
     If G1 = 0 Then Incr G                                  '   
     If G = 64 Then
     Waitms 2300
     G1 = 1
     End If
     If G1 = 1 Then Decr G
     If G = 1 Then
     Waitms 2300
     G1 = 0
     End If
     Waitms 50
     Green = Lookup(g , Pwm_rgb)
     Pwm1b = Green
   End If
'               *#*#*#*#*#*#*#*#*   Blue_label:  #*#*#*#*#*#*#*#*#*#*
   If Pind.6 = 0 Then                                       '    S4
     If B1 = 0 Then Incr B                                  '   
     If B = 64 Then
     Waitms 2300
     B1 = 1
     End If
     If B1 = 1 Then Decr B
     If B = 1 Then
     Waitms 2300
     B1 = 0
     End If
     Waitms 50
     Blue = Lookup(b , Pwm_rgb)
     Pwm1a = Blue
   End If
   R_e = Effect + 32                                        '    EEPROM
   G_e = Effect + 64
   B_e = Effect + 96
   Writeeeprom R , R_e                                      '     EEPROM
   Writeeeprom G , G_e
   Writeeeprom B , B_e
Wend
'****************      ***********************
   If Pind.2 = 0 Then
   Avto_flag = 0                                            '    
   Incr Effect
   If Effect > 19 Then Effect = 1                           ' 19- - 
   Effect_e = Effect
   Waitms 500
   If Pind.2 = 0 Then Avto_flag = 1                         '   ,    ""
   Avto_flag_e = Avto_flag                                  '    EEPROM
   Waitms 20
   Eff = Effect - 3                                       '    
     N = Eff * 24
     N = N - 24
   Readeeprom S , Effect
   Temp = Lookup(s , Speders)
    R_e = Effect + 32                                         '    EEPROM
   G_e = Effect + 64                                        '   
   B_e = Effect + 96                                        '     
   Readeeprom R , R_e                                       '   EEPROM   
   Readeeprom G , G_e                                       '   EEPROM   
   Readeeprom B , B_e
    Red = Lookup(r , Pwm_rgb)
     Green = Lookup(g , Pwm_rgb)
     Pwm1b = Green
     Blue = Lookup(b , Pwm_rgb)
     Pwm1a = Blue
   End If
'*************************    ******************************
   If Pind.6 = 0 Then
   Waitms 60
    If Color = 0 Then
    Color = 1
    Else
      If Color = 1 Then
      Color = 2
      Else
        If Color = 2 Then
        Color = 3
        Else
        If Color = 3 Then
        Color = 4
        Else
        Color = 0
        End If
      End If
    End If
   End If
  End If
Color_e = Color                                             '   EEPROM
Waitms 60
Return
'*******************************************************************************
'   -    24 
Pwms:

Incr Tik
 If Tik = 101 Then
  Tik = 0
  Portb = 0
  Porta = 0
  Portc = 0
 End If

   If Tik > Y(1) Then Portb.0 = 1
   If Tik > Y(2) Then Portb.1 = 1
   If Tik > Y(3) Then Portb.2 = 1
   If Tik > Y(4) Then Portb.3 = 1
   If Tik > Y(5) Then Portb.4 = 1
   If Tik > Y(6) Then Portb.5 = 1
   If Tik > Y(7) Then Portb.6 = 1
   If Tik > Y(8) Then Portb.7 = 1
   If Tik > Y(9) Then Porta.0 = 1
   If Tik > Y(10) Then Porta.1 = 1
   If Tik > Y(11) Then Porta.2 = 1
   If Tik > Y(12) Then Porta.3 = 1
   If Tik > Y(13) Then Porta.4 = 1
   If Tik > Y(14) Then Porta.5 = 1
   If Tik > Y(15) Then Porta.6 = 1
   If Tik > Y(16) Then Porta.7 = 1
   If Tik > Y(17) Then Portc.7 = 1
   If Tik > Y(18) Then Portc.6 = 1
   If Tik > Y(19) Then Portc.5 = 1
   If Tik > Y(20) Then Portc.4 = 1
   If Tik > Y(21) Then Portc.3 = 1
   If Tik > Y(22) Then Portc.2 = 1
   If Tik > Y(23) Then Portc.1 = 1
   If Tik > Y(24) Then Portc.0 = 1

Return

'*******************************************************************************
'      . 32  .
'253 -  , 0 - .  
Pwm_rgb:
Data 253 , 236 , 222 , 209 , 198 , 188 , 179 , 171 , 163 , 156 , 149 , 143 , 137 , 132 , 127 , 122
Data 117 , 112 , 108 , 104 , 100 , 96 , 92 , 89 , 85 , 82 , 79 , 75 , 72 , 70 , 67 , 64
Data 61 , 59 , 56 , 53 , 51 , 49 , 46 , 44 , 42 , 40 , 37 , 34 , 31 , 29 , 26 , 23
Data 20 , 18 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 0

'*******************************************************************************
'   24   -.
'16  : 100 -  , 0 - .  
Pwm_data:
Data 100 , 99 , 98 , 97 , 96 , 94 , 91 , 87 , 83 , 78 , 72 , 65 , 51 , 30 , 2 , 0
'*******************************************************************************
'     .  
Speders:
Data 256 , 180 , 126 , 90 , 70 , 55 , 43 , 32 , 23 , 16 , 11 , 7 , 5 , 4 , 2 , 0
'     .  
Speders1:
Data 1 , 2 , 4 , 5 , 7 , 11 , 16 , 23 , 32 , 43 , 55 , 70 , 90 , 126 , 180 , 250
'*******************************************************************************
'     " ".  
Pwm_rnd:
Data 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100
Data 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100
Data 100 , 99 , 99 , 98 , 98 , 97 , 96 , 95 , 93 , 91 , 88 , 80 , 79 , 73 , 65 , 55 , 41 , 23
Data 0 , 23 , 41 , 55 , 65 , 73 , 79 , 80 , 88 , 91 , 93 , 95 , 96 , 97 , 98 , 98 , 99 , 99
Data 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100
Data 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100
Data 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100
Data 100 , 99 , 99 , 98 , 98 , 97 , 96 , 95 , 93 , 91 , 88 , 80 , 79 , 73 , 65 , 55 , 41 , 23
Data 0 , 23 , 41 , 55 , 65 , 73 , 79 , 80 , 88 , 91 , 93 , 95 , 96 , 97 , 98 , 98 , 99 , 99
Data 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100
Data 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100 , 100
'*******************************************************************************
'   
Pwm_led:
' 1 -
Data 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16
Data 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1
Data 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1
Data 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1
Data 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1
Data 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1
Data 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16

' 2 -
Data 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3
Data 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6
Data 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8
Data 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14
Data 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11
Data 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8
Data 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3
Data 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15
Data 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12
Data 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9
Data 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5
Data 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2
Data 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3
Data 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16
Data 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7
Data 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1
Data 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5 , 1
Data 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1 , 5
Data 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3 , 1
Data 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6 , 3
Data 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7 , 6
Data 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8 , 7
Data 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16 , 8
Data 8 , 7 , 6 , 3 , 1 , 5 , 1 , 1 , 7 , 16 , 3 , 2 , 5 , 9 , 12 , 15 , 3 , 8 , 11 , 14 , 8 , 6 , 3 , 16


' 3 -
Data 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16
Data 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13
Data 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10
Data 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9
Data 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8
Data 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7
Data 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6
Data 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5
Data 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4
Data 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3
Data 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2
Data 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1
Data 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1
Data 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2
Data 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3
Data 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4
Data 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5
Data 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6
Data 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7 , 6 , 7
Data 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8 , 5 , 8
Data 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9 , 4 , 9
Data 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10 , 3 , 10
Data 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13 , 2 , 13
Data 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16 , 1 , 16

' 4 -
Data 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8
Data 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5
Data 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3
Data 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2
Data 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 5 , 8 , 16

' 5 -
Data 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16
Data 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6
Data 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3
Data 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1
Data 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1 , 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1 , 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1
Data 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1
Data 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1
Data 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16
Data 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16
Data 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6
Data 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3
Data 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1
Data 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1 , 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1 , 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1
Data 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1
Data 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1
Data 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16
Data 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16
Data 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6
Data 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3
Data 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1
Data 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1 , 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1 , 1 , 1 , 3 , 16 , 16 , 3 , 1 , 1
Data 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1 , 1 , 1 , 16 , 6 , 6 , 16 , 1 , 1
Data 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1 , 1 , 16 , 6 , 3 , 3 , 6 , 16 , 1
Data 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16 , 16 , 6 , 3 , 1 , 1 , 3 , 6 , 16

' 6 -
Data 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2
Data 5 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 5
Data 12 , 8 , 5 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 5 , 8 , 12
Data 16 , 16 , 12 , 8 , 5 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 5 , 8 , 12 , 16 , 16
Data 12 , 12 , 16 , 16 , 12 , 8 , 5 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 5 , 8 , 12 , 16 , 16 , 12 , 12
Data 12 , 12 , 12 , 12 , 16 , 16 , 12 , 8 , 5 , 2 , 1 , 1 , 1 , 1 , 2 , 5 , 8 , 12 , 16 , 16 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 12 , 13 , 16 , 16 , 12 , 8 , 5 , 5 , 8 , 12 , 16 , 16 , 13 , 12 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 12 , 13 , 13 , 13 , 16 , 16 , 13 , 13 , 16 , 16 , 13 , 13 , 13 , 12 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 12 , 12 , 13 , 13 , 16 , 16 , 14 , 14 , 16 , 16 , 13 , 13 , 12 , 12 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 12 , 12 , 12 , 13 , 16 , 16 , 16 , 16 , 16 , 16 , 13 , 12 , 12 , 12 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 14 , 14 , 15 , 15 , 16 , 16 , 16 , 16 , 16 , 16 , 15 , 15 , 14 , 14 , 12 , 12 , 12 , 12 , 12
Data 12 , 13 , 14 , 14 , 15 , 15 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 15 , 15 , 14 , 14 , 13 , 12
Data 12 , 13 , 14 , 14 , 15 , 15 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 16 , 15 , 15 , 14 , 14 , 13 , 12
Data 12 , 12 , 12 , 12 , 12 , 14 , 14 , 15 , 15 , 16 , 16 , 16 , 16 , 16 , 16 , 15 , 15 , 14 , 14 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 12 , 12 , 12 , 13 , 16 , 16 , 16 , 16 , 16 , 16 , 13 , 12 , 12 , 12 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 12 , 12 , 13 , 13 , 16 , 16 , 14 , 14 , 16 , 16 , 13 , 13 , 12 , 12 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 12 , 13 , 5 , 2 , 16 , 16 , 12 , 12 , 16 , 16 , 2 , 5 , 13 , 12 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 12 , 12 , 2 , 16 , 16 , 12 , 8 , 5 , 5 , 8 , 12 , 16 , 16 , 2 , 12 , 12 , 12 , 12 , 12 , 12
Data 12 , 12 , 12 , 12 , 16 , 16 , 12 , 8 , 5 , 2 , 1 , 1 , 1 , 1 , 2 , 5 , 8 , 12 , 16 , 16 , 12 , 12 , 12 , 12
Data 12 , 12 , 16 , 16 , 12 , 8 , 5 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 5 , 8 , 12 , 16 , 16 , 12 , 12
Data 16 , 16 , 12 , 8 , 5 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 5 , 8 , 12 , 16 , 16
Data 12 , 8 , 5 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 5 , 8 , 12
Data 5 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 5
Data 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2

' 7 -
Data 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15
Data 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14
Data 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13
Data 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12
Data 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11
Data 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10
Data 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9
Data 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8
Data 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7
Data 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6
Data 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5
Data 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4
Data 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5
Data 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6
Data 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7
Data 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8
Data 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9
Data 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10
Data 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11
Data 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12
Data 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13
Data 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14
Data 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15
Data 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16

' 8 -
Data 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16
Data 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15
Data 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14
Data 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11
Data 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8
Data 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7
Data 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6
Data 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5
Data 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4
Data 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 16 , 15 , 14 , 11 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1

' 9 -
Data 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15
Data 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14
Data 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12
Data 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10
Data 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8
Data 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6
Data 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4
Data 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3
Data 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2
Data 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1
Data 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1
Data 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1
Data 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1
Data 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1
Data 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2
Data 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3
Data 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6 , 4
Data 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8 , 6
Data 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10 , 8
Data 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12 , 10
Data 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14 , 12
Data 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15 , 14
Data 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16 , 15
Data 15 , 14 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 14 , 15 , 16


' 10 -
Data 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15
Data 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14
Data 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13
Data 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12
Data 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11
Data 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10
Data 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9
Data 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8
Data 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7
Data 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6
Data 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5
Data 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4
Data 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5
Data 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6
Data 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7
Data 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8
Data 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10 , 9
Data 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11 , 10
Data 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12 , 11
Data 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13 , 12
Data 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14 , 13
Data 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15 , 14
Data 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16 , 15
Data 15 , 14 , 13 , 12 , 11 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 11 , 12 , 13 , 14 , 15 , 16


' 11 -
Data 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1
Data 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16
Data 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1
Data 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16
Data 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1
Data 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16
Data 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1
Data 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 16

' 12 -
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 3 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 3 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 4 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 4 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 5 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 5 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 7 , 1 , 1 , 1 , 1 , 1 , 1 , 7 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 9 , 1 , 1 , 1 , 1 , 1 , 9 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 11 , 1 , 1 , 1 , 1 , 11 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 13 , 1 , 1 , 1 , 13 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 14 , 1 , 1 , 14 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 15 , 1 , 15 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 15 , 1 , 15 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 14 , 1 , 1 , 14 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 13 , 1 , 1 , 1 , 13 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 11 , 1 , 1 , 1 , 1 , 11 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 9 , 1 , 1 , 1 , 1 , 1 , 9 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 7 , 1 , 1 , 1 , 1 , 1 , 1 , 7 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 5 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 5 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 4 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 4 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 3 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 3 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1


' 13 -
Data 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16
Data 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1
Data 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1
Data 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 1 , 1 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 5 , 5 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 7 , 4 , 4 , 7 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 9 , 5 , 4 , 4 , 5 , 9 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 1 , 16 , 11 , 8 , 7 , 5 , 5 , 7 , 8 , 11 , 16 , 1 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 16 , 13 , 12 , 11 , 9 , 7 , 7 , 9 , 11 , 12 , 13 , 16 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 16 , 13 , 12 , 11 , 9 , 7 , 7 , 7 , 7 , 9 , 11 , 12 , 13 , 16 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 16 , 13 , 12 , 11 , 9 , 7 , 4 , 2 , 2 , 4 , 7 , 9 , 11 , 12 , 13 , 16 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 16 , 12 , 11 , 9 , 7 , 4 , 2 , 1 , 1 , 1 , 1 , 2 , 4 , 7 , 9 , 11 , 12 , 16 , 1 , 1 , 1
Data 1 , 1 , 16 , 9 , 7 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 7 , 9 , 16 , 1 , 1
Data 1 , 16 , 7 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 7 , 16 , 1
Data 16 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 16

' 14 -
Data 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1
Data 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1
Data 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1
Data 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2
Data 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3
Data 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4
Data 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5
Data 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6
Data 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7
Data 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8
Data 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9
Data 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10
Data 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12
Data 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14
Data 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16
Data 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12
Data 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10
Data 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8
Data 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6
Data 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4
Data 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2

' 15 -
Data 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2
Data 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4
Data 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6
Data 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8
Data 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10
Data 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12
Data 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16
Data 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14
Data 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12
Data 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10
Data 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 1 , 1 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9
Data 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 2 , 2 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8
Data 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 4 , 4 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7
Data 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 6 , 6 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6
Data 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 8 , 8 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5
Data 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 10 , 10 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4
Data 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 12 , 12 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3
Data 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 16 , 16 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2
Data 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 14 , 14 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1
Data 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 12 , 12 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1
Data 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 10 , 10 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 9 , 9 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 8 , 8 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1
Data 1 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 5 , 6 , 7 , 7 , 6 , 5 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 1

' 16 -
Data 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2
Data 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3
Data 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12
Data 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10
Data 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8
Data 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6
Data 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4
Data 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3
Data 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2
Data 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1
Data 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1
Data 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1
Data 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1
Data 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1
Data 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2
Data 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3
Data 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6 , 4
Data 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8 , 6
Data 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10 , 8
Data 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12 , 10
Data 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3 , 12
Data 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2 , 3
Data 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1 , 2
Data 2 , 3 , 12 , 10 , 8 , 6 , 4 , 3 , 2 , 1 , 1 , 1 , 1 , 1 , 2 , 3 , 4 , 6 , 8 , 10 , 12 , 3 , 2 , 1